{{ define "main" }}
<div class="main">
    <ul id="og-grid" class="og-grid">
        {{ range where .Site.RegularPages "Section" "illustrations" }}
            {{ $permalink := .Permalink }}
            {{ $title := .Title }}
            {{ $description := .Description }}
            {{ range .Resources.ByType "image" }}
            <li>
                {{ $original := . }}
                {{ $thumb := $original.Fill "250x250 Center" }}
                {{ $author := .Name | replaceRE  "-" " " | replaceRE "(.png|.jpg)" "" | replaceRE "_.*" ""}}
                {{ $author_page := print "/authors/" (.Name | replaceRE "(.png|.jpg)" "")}}

                <a href="{{$permalink}}" data-largesrc="{{ $original.RelPermalink }}" data-title="{{$title}}" data-description="{{ $description }}" data-author="<a href='{{$author_page}}'>{{ $author }}</a>" data-buttontext="Plus d'infos">
                    <img src="{{ $thumb.RelPermalink }}" alt="{{ $title }} par {{ $author }}"/>
                </a>
            </li>
            {{ end }}
        {{ end }}
    </ul>
</div>
{{ end }}
